package Bingo;

public class BingoCard 
{
	private int[] card;
	
	public BingoCard()
	{
		int[] tmp = new int[75];
		for (int i = 0; i < tmp.length; i++) 
			tmp[i] = i+1;
		
		this.card = new int[25];
		for (int i = 0; i < 25; i++) 
		{
			int index = (int)(Math.random()*(75-i));
			this.card[i] = tmp[index];
			tmp[index] = tmp[74-i];
		}
	}
	
	public void markNum(int num)
	{
		for (int i = 0; i < card.length; i++) 
		{
			if(this.card[i]==num)
			{
				this.card[i] = -this.card[i];
				break;
			}
		}
	}
	
	public boolean isWin()
	{
		for (int i = 0; i < card.length; i++) 
			if(this.card[i]>0)
				return(false);
		return(true);
	}
	
	public String toString()
	{
		String str = "Card: ";
		for (int i = 0; i < card.length-1; i++) 
			str = str + card[i] + ",";
		str = str + card[card.length-1];
		
		return(str);
	}
}
